Get details of a specified profile schema
Gets details of a specified profile schema, including field definitions and configuration information.
Method and endpoint
GET https://dashscope.aliyuncs.com/api/v2/apps/memory/profile_schemas/{profile_schema_id}
Request parameters
| Parameter | Type | Required | Location | Description |
|---|---|---|---|---|
profile_schema_id | string | Yes | Path | Profile schema ID |
memory_library_id | string | No | Query | Memory library ID |
Response
| Field | Type | Description |
|---|---|---|
request_id | string | Request ID |
name | string | Profile schema name |
description | string | Profile schema description |
plan_version | string | Billing plan |
extract_scene | string | Extraction mode |
attributes | array | List of profile attributes |
attributes[].attribute_id | string | Attribute ID |
attributes[].name | string | Attribute name |
attributes[].description | string | Attribute description |
Code examples
cURL